<?php
	defined( "_VALID_PAGE_MONITOR" ) or die ("No direct access");
	
	/* Define language switches */

	/* Install */
	DEFINE('_INSTALLWELCOME', '<p><b>Witaj w <a href="http://programac.pl">PageMonitor</a> module instalacyjnym PageMonitorPHP.</b><br/>Ten instalator poprowadzi cię przez proces ustawiania modułu. ' .
				'PageMonitor wymaga serwera z modułem PHP (np. Apache), serwera FTP (już ustawionego, pogrzebne będą nazwa użytkownika i hasło) i ' . 
				'praw zapisu do utworzenia plików konfiguracyjnych (te pliki mogą być utworzone ręcznie, instalator poda ich zawartość).' .
				'</p><p>' .
				'Pliki folderu FTP, który służyć będzie za folder prewek, muszą być widoczne dla serwera WWW. Można tego dokonać na kilka sposobów. Cały folder FTP może zostać umieszczony wewnątrz folderu root serwera tak, '.
				'że jego pliki będą mogły być odczytywane przez przeglądarkę WWW. Można również umieścić link symboliczny (czy folder wirtualny w systemie Windows) do folderu FTP i umieścić go wewnątrz folderu root serwera. Proszę pamiętać '.
				'o odpowiednim ustawieniu praw odczytu dla tegoż serwera FTP<sup>1</sup>.'.
				'</p><p>' .
				'Ten instalator spróbuje utworzyć dwa pliki. Plik konfiguracyjny z informacjami dla witryny WWW PageMonitora PHP ' .
				'(plik z rozszerzeniem .php) oraz plik xml, zawierający informacje wymagane przez wtyczkę programu InDesign. ' .
				'<u>Obydwa pliki muszą być możliwe do odczytania przez przeglądarkę WWW (czyli serwer WWW).</u> ' .
				'</p>' );
	
	DEFINE('_PAGEMONITOR_TEXT_A', 'Konfiguracja modułu PageMonitor PHP');	
	DEFINE('_ABSOLUTE_FTP_FOLDER', 'Pełna ścieżka do folderu FTP zawierającego prewki (np. /jakiś folder/folder_ftp/prewki lub C:\folder_ftp\prewki)' );
	DEFINE('_ABSOLUTE_FTP_FOLDER2', 'Ten folder musi być dostępny dla serwera WWW/PHP. Jest to folder do którego wtyczka InDesign PageMonitor zapisywać będzie pliki.' );
	
	DEFINE('ftp_folder2http_folder', 'URL do folderu FTP (bez adresu, względem folderu root serwera WWW' );
	DEFINE('ftp_folder2http_folder2', 'Musisz posiadać link do swojego folderu FTP prewek gdzieś wewnątrz folderu WWW. W innym przypadku PageMonitorPHP nie będzie mógł wyświetlić żadnych prewek. ' .
				 'Jeżeli umieściłeś link do folderu FTP wewnątrz folderu root serwera WWW o nazwie <b>prewki</b>, wartość tego pola powinna być równa /prewki. '.
				 'Patrz <sup>1</sup>.' );	
	
	DEFINE('http_location', 'Web folder wewnątrz folderu root serwera WWW, gdzie znajduje się PageMonitor. Przeważnie będzie to PageMonitorPHP.' );
	DEFINE('http_location2', 'Jeżeli zmieniono nazwę folderu PageMonitorPHP na coś innego, proszę wprowadzić nową nazwę tutaj.' );	
	
	DEFINE('date_format', 'Format dat wyświetlanych przy podglądach stron.');
	DEFINE('date_format2', 'Patrz format daty PHP.');
	
	DEFINE('show_tooltips_for_pages', 'Czy chcesz wyświetlać &quot;tooltipy&quot; z dodatkowymi informacjami przy najechaniu wskaźnikiem myszy na stronę?');
	DEFINE('show_tooltips_for_pages2', '');

	DEFINE('desired_language', 'Język');
	DEFINE('desired_language2', '' );
	
	DEFINE('_PAGEMONITOR_TEXT_B', 'Generacji pliku xml dla wtyczki programu InDesign');		
	DEFINE('_XMLFILENAME', 'Plik xml konfiguracji wtyczki progamu InDesign');
	DEFINE('_XMLFILENAME2', 'Plik musi kończyć się rozszerzeniem ".xml". HREF do tego pliku musi być wpisany w preferncjach wtyczki w programie InDesign. Patrz plik pomocy.');	
	
	DEFINE('_FTPACCESS', 'Adres do serwera FTP, pełny razem z nazwą użytkownika, hasłem oraz ścieżką do folderu prewek (z zależności od konfiguracji).');
	DEFINE('_FTPACCESS2', 'np. ftp://username:password@localhost:21/some_path. Te dane zostaną zakodowane w pliku xml. Do ich zmiany należy użyć ponownie tego instalatora.');
	
	DEFINE('_PAGEMONITOR_TEXT_C', 'Generuj pliki konfiguracyjne (instalacja)');		
	
	DEFINE('_COULDNOTWRITECONFIGFILE', 'Nie można było zapisać danych do pliku PageMonitorConfiguration.php. Plik konfiguracyjny nie zostął zapisany. Należy skopiować poniższy tekst, wleić do nowego dokumentu tekstowego i zapisać pod nazwą PageMonitorConfiguration.php w web folderze PageMonitorPHP. Należy pamiętać o prawach dostepu - serwer WWW musi widzieć ten plik.');
	DEFINE('_COULDNOTWRITECONFIGFILEXML', 'Nie można było zapisać danych do pliku "%s". Plik konfiguracyjny nie zostął zapisany. Należy skopiować poniższy tekst, wleić do nowego dokumentu tekstowego i zapisać pod nazwą PageMonitor.xml.  w web folderze PageMonitorPHP. Należy pamiętać o prawach dostepu - serwer WWW musi widzieć ten plik.');
	
	DEFINE('_INSTALLATIONCOMPLETE', '<p>Proces instalacji PageMonitorPHP został zakończony. Jeżeli instalator nie mógł utworzyć plików konfiguracyjnych należy skopiować dane w pól tekstowych (u góry) i utworzyć pliki ręcznie.</p><p>Aby zakończyć proces instalacyjny, proszę skasować folder <b>install</b>.</p>');
	
	/* No direct access */
	DEFINE('_NODIRECTACCESS', 'No direct access');
	
	/* Yes, No */
	DEFINE('_YES', 'Tak');
	DEFINE('_NO', 'Nie');	
	
	/* page_browser.php */
	DEFINE('_NOPREVIEWSTOSHOW', "Nie można było odczytać żadnych podglądów. Czy folder FTP jest pusty? Czy poprawnie ustawiono link do folderu?");
	DEFINE('_FILENAME', "Nazwa pliku");	
	DEFINE('_SCALEX', "Skala x");
	DEFINE('_SCALEY', "Skala y");
	DEFINE('_MACADDRESS', "Adres karty MAC");
	DEFINE('_USERNAME', "Użytkownik");
	
	/* product_list_module.php */
	DEFINE('_ALLPAGES', "wszystkie strony");
	DEFINE('_PRODUCTLISTMODULE_WRONGPARAM', 'PageMonitorPHP error: Module productList expects parameter params passed to its constructor to be of ProductList type. Cannot continue.');
	DEFINE('_DATE', "Data: ");
	DEFINE('_PRODUCT', "Produkt: ");
	DEFINE('_REFRESH', "Odśwież");
	DEFINE('_SHOWONLYREADYPAGES', 'Tylko gotowe strony');
	
?>